GET /search/{id_type}/{id}

trakt.tv

Summary: Get ID lookup results
Operation ID: Get ID lookup results
Auth: unknown
Description

#### 📄 Pagination ✨ Extended Info Lookup items by their Trakt, IMDB, TMDB, or TVDB ID. If you use the search url without a `type` it might return multiple items if the `id_type` is not globally unique. Specify the `type` of results by sending a single value or a comma delimited string for multiple types. | Type | URL | |---|---| | `trakt` | `/search/trakt/:id` | | | `/search/trakt/:id?type=movie` | | | `/search/trakt/:id?type=show` | | | `/search/trakt/:id?type=episode` | | | `/search/trakt/:id?type=person` | | `imdb` | `/search/imdb/:id` | | `tmdb` | `/search/tmdb/:id` | | | `/search/tmdb/:id?type=movie` | | | `/search/tmdb/:id?type=show` | | | `/search/tmdb/:id?type=episode` | | | `/search/tmdb/:id?type=person` | | `tvdb` | `/search/tvdb/:id` | | | `/search/tvdb/:id?type=show` | | | `/search/tvdb/:id?type=episode` |

Parameters (5)

id (string, path, required)

ID that matches with the type.

id_type (string, path, required)

Type of ID to lookup.

Constraints: {'enum': ['trakt', 'imdb', 'tmdb', 'tvdb']}

trakt-api-key (string, header, optional)

e.g. [client_id]

trakt-api-version (string, header, optional)

e.g. 2

type (string, query, optional)

Search type.

Constraints: {'enum': ['movie', 'show', 'episode', 'person', 'list']}

No probe data for this endpoint yet.